var articleID = 25028;
var hasAction = false;
var articleHeight = 200;
var jumpPos = 0;
$(document).ready(function() {

	// 文章顶踩
	$("#article_control a").click(function() {

	});

	// 评论顶
	$("a[data-dingid]").click(function() {

	});
});

// 动态加载css文件
function loadCssFile(filename) {
	var fileref = document.createElement("link");
	fileref.setAttribute("rel", "stylesheet");
	fileref.setAttribute("type", "text/css");
	fileref.setAttribute("href", filename);

	if (typeof fileref != "undefined") {
		document.getElementsByTagName("head")[0].appendChild(fileref);
	}
}

function addAnimation(obj, fontsize) {
	var center = {
		x : 0,
		y : 0
	};
	var offset = obj.offset();
	var size = {
		w : obj.width(),
		h : obj.height()
	};
	var sprite = $("<div class='float-text'>+1</div>");

	center.x = offset.left + size.w * 0.5;
	center.y = offset.top;

	sprite.css({
		"left" : center.x,
		"top" : center.y,
		"font-size" : fontsize + "em"
	});
	sprite.animate({
		top : center.y - 80,
		opacity : 0
	}, "normal", "linear", function() {
		sprite.remove();
	});
	//$("body").append(sprite);
}

var title;
var ptime;
var body;
var replyCount;
var replyBoard;
var source;
var more;
var moreButton;
var myBody;
var myTitle;
var textSize;

var hideConditionNum;
var topHideNum;
var bottomHideNum;
// var myMore;
var voteArray = {};

var lastRequestLoadImgStart = -1;
var lastRequestLoadImgEnd = -1;

var myVote;

// 新添加的
// 相关
var relation;
// 热帖
var hotreplys;

//
var newsVote;

window.onscroll = function() {
	requestImgLoading();
}

function getTitle() {
	myTitle = document.getElementById('title');
	if (window.news) {
		title = window.news.getTitle();
		myTitle.innerHTML = title;
	}
}

function getSource() {
	var mySource = document.getElementById('source');
	if (window.news) {
		source = window.news.getSource();
		mySource.innerHTML = source;
	}
}

function getTime() {
	var myTime = document.getElementById('ptime');
	if (window.news) {
		ptime = window.news.getTime();
		myTime.innerHTML = ptime;
	}
}

function getBody() {
	myBody = document.getElementById('article_body');

	if (window.news) {
		body = window.news.getBody();
		myBody.innerHTML = body;
	}
}

function getRelation() {
	myRelation = document.getElementById('relation');

	if (window.news) {
		relation = window.news.getRelation();
		myRelation.innerHTML = relation;
	}
}

function getHotReplys() {
	myHotComment = document.getElementById('hot_comment');

	if (window.news) {
		hotreplys = window.news.getHotReply();
		myHotComment.innerHTML = hotreplys;
	}
}

function getVotes() {
	myVotes = document.getElementById('article_control');

	if (window.news) {
		newsVote = window.news.getVotes();
		myVotes.innerHTML = newsVote;
	}
}

// 更新评论数据
function updateReply() {
	myNewComment = document.getElementById('new_comment');

	myNewComment.innerHTML = window.news.getNewReply(); // 最新评论;

}

function getTextSize() {
	if (window.news) {
		textSize = window.news.getTextSize();

		switch (textSize) {
		case 0:
			showSuperBigSize();
			break;
		case 1:
			showBigSize();
			break;
		case 2:
			showMidSize();
			break;
		case 3:
			showSmallSize();
			break;
		}
	}
}

function showSuperBigSize() {
	myBody.style.fontSize = "26px";
	myBody.style.lineHeight = "160%";
}

function showBigSize() {
	myBody.style.fontSize = "22px";
	myBody.style.lineHeight = "160%";
}

function showMidSize() {
	myBody.style.fontSize = "18px";
	myBody.style.lineHeight = "150%";
}

function showSmallSize() {
	myBody.style.fontSize = "16px";
	myBody.style.lineHeight = "150%";
}

function requestImgLoading(force) {
	if (!window.news) {
		return;
	}
	screenHeight = 3 * window.screen.height;
	screenHeight = screenHeight / window.devicePixelRatio;

	start = -1;
	end = -1;

	for (i = 0; i < 10000; i++) {
		// alert('a-start-' + i);
		largepic = document.getElementById('largepic' + i);
		if (!largepic) {
			break;
		}

		r = largepic.getBoundingClientRect();

		if (r.bottom > 0) {
			start = i;
			break;
		}
	}
	for (i = start; i < 10000; i++) {
		largepic = document.getElementById('largepic' + i);
		if (!largepic) {
			break;
		}
		end = i;
		r = largepic.getBoundingClientRect();
		if (r.bottom >= screenHeight) {
			break;
		}
	}

	if (force || lastRequestLoadImgStart != start
			|| lastRequestLoadImgEnd != end) {
		lastRequestLoadImgStart = start;
		lastRequestLoadImgEnd = end;
		if (start != -1 && end != -1) {
			window.news.requestImgLoading(start, end);
		}
	}
}

// 单张大图参看图片
function reloadImage(i) {

	if (window.news) {
		var largepic = document.getElementById('largepic' + i);

		if (largepic != null
				&& (largepic.src == 'file:///android_asset/big_reload_img.png' || largepic.src == 'file:///android_asset/small_reload_img.png')) {

			largepic.src = 'file:///android_asset/img/small_loading0.png';
			window.news.reloadImg(i);

			return;
		}
	}
}

function setAddImgShowAndImgContentSimple(i, imgUrl) {
	var imgcontent = document.getElementById("imgContent_" + i);
	if (imgcontent) {
		// imgcontent.src = imgUrl;

	}
}

function setAddImgShowAndImgContent(i, imgUrl, width, height, finalWidth,
		finalHeight, offsetX, isFixedParam) {

	var imgcontent = document.getElementById("largepic" + i);
	if (null != imgcontent) {
		if (isFixedParam == 1) {
			var rectRight = parseInt(offsetX) + parseInt(finalWidth);
			imgcontent.style.left = "10px";// "-" + offsetX + "px";
			imgcontent.style.clip = "rect(auto, " + rectRight + "px, "
					+ finalHeight + "px, " + offsetX + "px)";
			imgcontent.style.width = width - 10 + "px";
			imgcontent.style.height = height + "px";
		}

		if (imgUrl != "big_reload_img.png" && imgUrl != "small_reload_img.png") {
			imgcontent.src = imgUrl;
			imgcontent.onclick = function() {
				toTopic(i);
			};
		}
	}
}

function updateProgress(i, percent, isBigImg, isTablet, isNoProgress) {
	if (percent == 0) {
		var imgVideo = document.getElementById("videoImg_" + i);
		if (imgVideo != null) {
			imgVideo.style.visibility = "hidden";
		}
	}

	var percent_i = document.getElementById("largepic" + i);
	if (!percent_i) {
		return;
	}

	var state = Math.floor(percent / 10);
	if (state > 9) {
		state = 9; // 不显示100%
	} else if (state < 0) {
		state = 0;
	}

	var url;
	if (isBigImg) {
		url = isNoProgress ? "file:///android_asset/img/no_loading.png"
				: "file:///android_asset/img/loading" + state + ".png";
	} else {
		url = isNoProgress ? "file:///android_asset/img/small_no_loading.png"
				: "file:///android_asset/img/small_loading" + state + ".png";
	}
	if (percent_i.src != url) {
		percent_i.src = url;
	}
}

function initialize() {
	getTitle();
	getTime();
	
	getBody();
	getVotes();
	getRelation();
	getHotReplys();
	showMoreButton();
	getTextSize();
	requestImgLoading();
	//getAd();
	checkinitreply();
	clearPage();
}


function getAd() {
	if (window.news) {
		$("#article_body").after(window.news.getADTiao());
	}
}

function showMoreButton() {
	moreButton = document.getElementById('moreButton');

	if (window.news) {
		var isShown = window.news.hasNext();

		if (isShown == 1) {
			myBody.innerHTML = body;
			moreButton.style.display = "block";
		}
	} else {
		myBody.innerHTML = body;
		moreButton.style.display = "none";
	}
}

// 短帖子是否默认更新最新评论
function checkinitreply() {
	if (window.news) {
		window.news.checkandopcomment();
	}
}

// 跳跃到锚点
function maodian(t) {
	if(t == "comment-title-new"){
		hot_comment = document.getElementById('hot_comment');
		if(hot_comment.childElementCount >= 1){
			location.hash = "comment-title-hot";
		}else{
			location.hash = t;
		}
	}else{
		location.hash = t;
	}
}

function jumptoRelation(t){
	window.scrollTo(0, t);
}

// 初始化
window.onload = function() {
	initialize();
	window.scrollTo(0, 1);
	window.scrollTo(0, 0);
}

// 短帖子是否默认更新最新评论
function checkinitreply() {
	if (window.news) {
		window.news.checkandopcomment();
	}
}

function checkMoreButton() {
	moreButton = document.getElementById('moreButton');
	if (window.news) {
		var isShown = window.news.hasNext();
		if (isShown == 1) {
			moreButton.style.display = "block";
		} else {
			moreButton.style.display = "none";
		}
	} else {
		myBody.innerHTML = body;
		moreButton.style.display = "none";
	}
}

// 链接
function toLink(i) {
	if (window.news) {
		window.news.toLink(i);
	}
}

function toRelative(i) {
	if (window.news) {
		window.news.toRelative(i);
	}
}

function toRelativeById(id) {
	if (window.news) {
		window.news.toRelativeById(id);
	}
}

// 图集
function toTopic(i) {
	if (window.news) {
		window.news.toTopic(Number(i));
	}
}

// 到检索页
function toSearch(mKeyWord) {
	if (window.news) {
		window.news.toSearchResult(mKeyWord, 1);
	}
}

// 到检索页
function newshotword(mKeyWord) {
	if (window.news) {
		window.news.toSearchResult(mKeyWord, 2);
	}
}

function dingthread(obj, num) {
	if (hasAction)
		return;

	var count = parseInt(num);
	$(obj).text("上头条 " + (count + 1));
	$(obj).addClass("up-selected");
	addAnimation($(obj), 3);

	hasAction = true;

	// 回调服务器顶方法
	if (window.news) {
		window.news.dingthreadOp(1);
	}
}
// 分享
function shares(type) {
	if (window.news) {
		window.news.getShare(type);
	}
}

function burythread(obj) {
	if (hasAction)
		return;

	// var count = parseInt($(obj).text());
	// $(obj).text(count + 1);
	$(obj).addClass("down-selected");
	addAnimation($(obj), 3);

	hasAction = true;
	// 回调服务器顶方法
	if (window.news) {
		window.news.dingthreadOp(2);
	}
}

function dingComment(obj, id) {

	$(obj).unbind("click");

	var count = parseInt($(obj).text());
	$(obj).text(count + 1);
	$(obj).addClass("ding-btn-selected");
	addAnimation($(obj), 2);

	obj.onclick = null;

	// 回调服务器顶方法
	if (window.news) {
		window.news.dingOp(id);
	}
}

// 回复评论页
function toComment(id, title) {
	if (window.news) {
		window.news.initPopupWindow_Comment(id, title);
	}
}

// 详情中点击评论条状到通知界面
function toCommentDetail(id, content, userName) {
	if (window.news) {
		window.news.jumptoNoticeActivity(id, content, userName);
	}
}

function hotisShow(isshow) {
	if (isshow) {
		$("#comment-title-hot").show();
	} else {
		$("#comment-title-hot").hide();
	}
}

function newscollect(obj) {
	if (!$(obj).hasClass("fav-selected")) {
		$(obj).addClass("fav-selected");
	} else {
		$(obj).removeClass("fav-selected");
	}

	// 回调服务器顶方法
	if (window.news) {
		window.news.NewsCollect();
	}

}

function newscollectstatus(obj) {
	if (!$(obj).hasClass("fav-selected")) {
		$(obj).addClass("fav-selected");
	} else {
		$(obj).removeClass("fav-selected");
	}

}

// 百度广告
function tobdAD() {
	// 回调服务器顶方法
	if (window.news) {
		window.news.openBDAD();
	}
}

// 百度广告
function tojdBigAD() {
	// 回调服务器顶方法
	if (window.news) {
		window.news.openJDBigAD();
	}
}

// 京东广告
function tojdAD(pos) {
	// 回调服务器顶方法
	if (window.news) {
		window.news.openJDAD(pos);
	}
}

// 广点通
function toqqAD() {
	if (window.news) {
		window.news.openQQAD();
	}
}

// 铁血
function toTiexueAD() {
	if (window.news) {
		window.news.openTiexueAD();
	}
}
function totiaoAD(){
	if (window.news) {
		window.news.totiaoAD();
	}
	
}

// 铁血
function toTiexueSmallAD(pos) {
	if (window.news) {
		window.news.openTiexueSmallAD(pos);
	}
}
// 添加一条数据到最新评论
function addCommentToNew(username, content, usericon) {

	var strcontent = "<section class=\"box-comment\" style=\"border-bottom: solid 1px #ebebeb;\">";
	strcontent += "<div class=\"info-panel\">";
	strcontent += "<div class=\"avatar-panel\"><img src=\"" + usericon
			+ "\" onerror=\"this.src='res/avatar.png'\"></div>";
	strcontent += "<div class=\"name-panel\">" + username + "</div>";
	strcontent += "<div class=\"date-panel\">刚刚</div>";
	strcontent += "<div class=\"action-panel\">";
	strcontent += "<a class=\"ding-btn\" onclick=\"dingComment(this,0)\">0</a>";
	strcontent += "<a class=\"comment-btn\" onclick=\"javascript:void(0);\">0</a>";
	strcontent += "</div>";
	strcontent += "</div>";
	strcontent += "<p>" + content + "</p>";
	strcontent += "<p style='color:#246bc6;font-size: 14px;' onclick='deleteComment(this,\"0\")'>删除</p>";
	strcontent += "</section>";

	$("#new_comment").prepend(strcontent);

	location.hash = "new_comment";

}

function getArticleHeight() {
	if (window.news) {
		articleHeight = $("#article_control").offset().top;
		window.news.getArticleHeight(articleHeight);
	}
}

function getJumpPos() {
	if (window.news) {
		jumpPos = $("#hot_comment").offset().top;
		window.news.getJumpPos(jumpPos);
	}
}

function getRelationHeight() {
	if (window.news) {
		relationHeight = $("#relation").offset().top;
		window.news.getRelationHeight(relationHeight);
	}
}

// 查看更多评论
function getmoreCmt(id) {
	if (window.news) {
		window.news.jumptoCmtctivity(id);
	}
}

// 更新相关阅读数据
function updateRelation() {
	myNewComment = document.getElementById('relation');
	myNewComment.innerHTML = window.news.getMoreRelation();

}

function relationHideImg(isshow) {
	if (isshow) {
		requestImgLoading(isshow);
		$("#relation").find("img").each(function() {
			$(this).show();
		})
	} else {
		start = -1;
		end = -1;
		for (i = start; i < 10000; i++) {
			largepic = document.getElementById('largepic' + i);
			if (!largepic) {
				break;
			} else {
				largepic.src = "file:///android_asset/big_reload_img.png";
				largepic.onclick = function() {
					reloadImage(i);
				};
			}
		}
		$("#relation").find("img").each(function() {
			$(this).hide();
		})
	}
}

function initFooter(noComment){
	nomorecomment = document.getElementById('nomorecomment');
	nocomment = document.getElementById('nocomment');
	if(window.news){
		if(noComment){
			nocomment.style.display = "block";
			nomorecomment.style.display = "none";
		}else{
			nomorecomment.style.display = "block";
			nocomment.style.display = "none";
			
		}
	}
}

function clearPage(){
	relative = document.getElementById('relation');
	lastRelative = relative.lastElementChild;
	lastRelative.style.borderBottom = "solid 0px #ebebeb";
	lastRelative.style.marginBottom = "0px";
	$(".box-tags a").each(function(){
        var c = '#';
        var cArray = ['8','9','A', 'B', 'C', 'D', 'E'];
        for (var i = 0; i < 6; i++) {
          var cIndex = Math.floor(Math.random() * cArray.length);
          c += cArray[cIndex];
        }
        $(this).css("background-color",c);
    });
}

//评论删除
function deleteComment(obj,id){
	id= parseInt(id)
	if(window.news){
		if(id>0){
			window.news.deleteComment(id);
		}
		var o=$(obj).parent();
		o.remove();
	}
}


