
	var articleID = 25028;
	var hasAction = false;
	$(document).ready(function() {
		

		//文章顶踩
		$("#article_control a").click(function() {

		});

		//评论顶
		$("a[data-dingid]").click(function() {
			

		});
	});

	// 动态加载css文件
	function loadCssFile(filename) {
		var fileref = document.createElement("link");
		fileref.setAttribute("rel", "stylesheet");
		fileref.setAttribute("type", "text/css");
		fileref.setAttribute("href", filename);

		if (typeof fileref != "undefined") {
			document.getElementsByTagName("head")[0].appendChild(fileref);
		}
    }
	
	function addAnimation(obj, fontsize) {
		var center = {
			x : 0,
			y : 0
		};
		var offset = obj.offset();
		var size = {
			w : obj.width(),
			h : obj.height()
		};
		var sprite = $("<div class='float-text'>+1</div>");

		center.x = offset.left + size.w * 0.5;
		center.y = offset.top;

		sprite.css({
			"left" : center.x,
			"top" : center.y,
			"font-size" : fontsize + "em"
		});
		sprite.animate({
			top : center.y - 80,
			opacity : 0
		}, "normal", "linear", function() {
			sprite.remove();
		});
		$("body").append(sprite);
	}
	var title;
	var ptime;
	var userinfo;
	var body;
	var replyCount;
	var replyBoard;
	var source;
	var more;
	var moreButton;
	var myBody;
	var myTitle;
	var textSize;

	var hideConditionNum;
	var topHideNum;
	var bottomHideNum;
	//var myMore;
	var voteArray = {};

	var lastRequestLoadImgStart = -1;
	var lastRequestLoadImgEnd = -1;

	var myVote;

	//新添加的
	//相关
	var relation;
	//热帖
	var hotreplys;

	//
	var newsVote;

	window.onscroll = function() {
		requestImgLoading();
	}

	function getTitle() {
		myTitle = document.getElementById('title');
		if (window.news) {
			title = window.news.getTitle();
			myTitle.innerHTML = title;
		}
	}

	function getSource() {
		var mySource = document.getElementById('source');
		if (window.news) {
			source = window.news.getSource();
			mySource.innerHTML = source;
		}
	}

	function getTime() {
		var myTime = document.getElementById('ptime');
		if (window.news) {
			ptime = window.news.getTime();
			myTime.innerHTML = ptime;
		}
	}

	function getUserInfo() {
		var myUserinfo = document.getElementById('userinfo');
		if (window.news) {
			userinfo = window.news.getUserInfo();
			myUserinfo.innerHTML = userinfo;
		}
	}

	function getBody() {
		myBody = document.getElementById('article-content');

		if (window.news) {
			body = window.news.getBody();
			myBody.innerHTML = body;
		}
	}

	function getRelation() {
		myRelation = document.getElementById('relation');

		if (window.news) {
			relation = window.news.getRelation();
			myRelation.innerHTML = relation;
		}
	}

	function getHotReplys() {
		myHotComment = document.getElementById('hot_comment');

		if (window.news) {
			hotreplys = window.news.getHotReply();
			myHotComment.innerHTML = hotreplys;
		}
	}

	function getVotes() {
		myVotes = document.getElementById('article_control');

		if (window.news) {
			newsVote = window.news.getVotes();
			myVotes.innerHTML = newsVote;
		}
	}

	//更新评论数据
	function updateReply() {
		myNewComment = document.getElementById('article-content');
		$("#article-content").append(window.news.getNewReply());
		//myNewComment.innerHTML = myNewComment.innerHTML+window.news.getNewReply(); //最新评论;

	}

	function getTextSize() {
		if (window.news) {
			textSize = window.news.getTextSize();

			switch (textSize) {
			case 0:
				showSuperBigSize();
				break;
			case 1:
				showBigSize();
				break;
			case 2:
				showMidSize();
				break;
			case 3:
				showSmallSize();
				break;
			}
		}
	}

	function showSuperBigSize() {
		myBody.style.fontSize = "26px";
		myBody.style.lineHeight = "160%";
	}

	function showBigSize() {
		myBody.style.fontSize = "22px";
		myBody.style.lineHeight = "160%";
	}

	function showMidSize() {
		myBody.style.fontSize = "18px";
		myBody.style.lineHeight = "150%";
	}

	function showSmallSize() {
		myBody.style.fontSize = "16px";
		myBody.style.lineHeight = "150%";
	}

	function requestImgLoading(force) {
		if (!window.news) {
			return;
		}
		screenHeight = 3 * window.screen.height;
		screenHeight = screenHeight / window.devicePixelRatio;

		start = -1;
		end = -1;

		for (i = 0; i < 10000; i++) {
			//alert('a-start-' + i);
			largepic = document.getElementById('largepic' + i);
			if (!largepic) {
				break;
			}

			r = largepic.getBoundingClientRect();

			if (r.bottom > 0) {
				start = i;
				break;
			}
		}
		for (i = start; i < 10000; i++) {
			largepic = document.getElementById('largepic' + i);
			if (!largepic) {
				break;
			}
			end = i;
			r = largepic.getBoundingClientRect();
			if (r.bottom >= screenHeight) {
				break;
			}
		}

		if (force || lastRequestLoadImgStart != start
				|| lastRequestLoadImgEnd != end) {
			lastRequestLoadImgStart = start;
			lastRequestLoadImgEnd = end;
			if (start != -1 && end != -1) {
				window.news.requestImgLoading(start, end);
			}
		}
	}

	//单张大图参看图片
	function reloadImage(i) {

		if (window.news) {
			var largepic = document.getElementById('largepic' + i);

			if (largepic != null
					&& (largepic.src == 'file:///android_asset/big_reload_img.png' || largepic.src == 'file:///android_asset/small_reload_img.png')) {

				largepic.src = 'file:///android_asset/img/small_loading0.png';
				window.news.reloadImg(i);

				return;
			}
		}
	}

	function setAddImgShowAndImgContentSimple(i, imgUrl) {
		var imgcontent = document.getElementById("imgContent_" + i);
		if (imgcontent) {
			//imgcontent.src = imgUrl;

		}
	}

	function setAddImgShowAndImgContent(i, imgUrl, width, height, finalWidth,
			finalHeight, offsetX, isFixedParam) {

		var imgcontent = document.getElementById("largepic" + i);
		if (null != imgcontent) {
			if (isFixedParam == 1) {
				var rectRight = parseInt(offsetX) + parseInt(finalWidth);
				imgcontent.style.left = "10px";//"-" + offsetX + "px";
				imgcontent.style.clip = "rect(auto, " + rectRight + "px, "
						+ finalHeight + "px, " + offsetX + "px)";
				imgcontent.style.width = width - 10 + "px";
				imgcontent.style.height = height + "px";
			}

			if (imgUrl != "big_reload_img.png"
					&& imgUrl != "small_reload_img.png") {
				imgcontent.src = imgUrl;
				imgcontent.onclick = function() {
					toTopic(i);
				};
			}
		}
	}

	function updateProgress(i, percent, isBigImg, isTablet, isNoProgress) {
		if (percent == 0) {
			var imgVideo = document.getElementById("videoImg_" + i);
			if (imgVideo != null) {
				imgVideo.style.visibility = "hidden";
			}
		}

		var percent_i = document.getElementById("largepic" + i);
		if (!percent_i) {
			return;
		}

		var state = Math.floor(percent / 10);
		if (state > 9) {
			state = 9; //不显示100%
		} else if (state < 0) {
			state = 0;
		}

		var url;
		if (isBigImg) {
			url = isNoProgress ? "file:///android_asset/img/no_loading.png"
					: "file:///android_asset/img/loading" + state + ".png";
		} else {
			url = isNoProgress ? "file:///android_asset/img/small_no_loading.png"
					: "file:///android_asset/img/small_loading" + state
							+ ".png";
		}
		if (percent_i.src != url) {
			percent_i.src = url;
		}
	}

	function initialize() {
		//getTitle();
		//getSource();
		//getTime();
		//getUserInfo();
		getBody();
		//getVotes();
		//getRelation();
		//getHotReplys();
		showMoreButton();
		getTextSize();

		requestImgLoading();
		checkinitreply();
	}

	function showMoreButton() {
		moreButton = document.getElementById('moreButton');

		if (window.news) {
			var isShown = window.news.hasNext();

			if (isShown == 1) {
				myBody.innerHTML = body;
				moreButton.style.display = "block";
			}
			else{
				moreButton.style.display = "block";
				moreButton.innerHTML = "已经没有更多评论了...";
			}
			
		} else {
			myBody.innerHTML = body;
			moreButton.style.display = "none";
		}
	}

	// 短帖子是否默认更新最新评论
	function checkinitreply() {
		if (window.news) {
			window.news.checkandopcomment();
		}
	}

	//跳跃到锚点
	function maodian(t) {
		location.hash = t;
	}

	// 初始化		
	window.onload = function() {
		initialize();
	}

	// 短帖子是否默认更新最新评论
	function checkinitreply() {
		if (window.news) {
			window.news.checkandopcomment();
		}
	}

	function checkMoreButton() {
		moreButton = document.getElementById('moreButton');
		if (window.news) {
			var isShown = window.news.hasNext();
			if (isShown == 1) {
				moreButton.style.display = "block";
			} else {
				moreButton.style.display = "none";
			}
		} else {
			myBody.innerHTML = body;
			moreButton.style.display = "none";
		}
	}

	//链接
	function toLink(i) {
		if (window.news) {
			window.news.toLink(i);
		}
	}

	function toRelative(i) {
		if (window.news) {
			window.news.toRelative(i);
		}
	}

	//图集
	function toTopic(i) {
		if (window.news) {
			window.news.toTopic(Number(i));
		}
	}

	//到检索页
	function toSearch(mKeyWord) {
		if (window.news) {
			window.news.toSearchResult(mKeyWord);
		}
	}

	//到检索页
	function newshotword(mKeyWord) {
		if (window.news) {
			window.news.toSearchResult(mKeyWord);
		}
	}

	function dingthread(obj,name) {
		if (hasAction)
			return;

		var header = $('<a><img src="Content/Images/avatar.png" onerror=\"this.src="Content/Images/avatar.png" /></a>');
		if($('.ding-user-list').children().length>0){
        	$(".ding-user-list").prepend(header);
        	var namestr = $(".ding-user-list").text();
        	$(".ding-user-list p").remove();
        	$(".ding-user-list").append('<p>'+name+','+namestr+'</p>');
		}
		else{
			$(".ding-user-list").prepend(header);
			$(".ding-user-list").append('<p>'+name+'觉得很赞</p>');
		}		

        $("#act-ding").addClass("selected");
        $("#act-ding").unbind("click");


		hasAction = true;

		//回调服务器顶方法
		if (window.news) {
			window.news.dingthreadOp(1);
		}
	}
	hasAction = false;
	function burythread(obj) {
		if (hasAction)
			return;

		var count = parseInt($(obj).find("span").text());
		$(obj).find("span").text(count + 1);
		$(obj).addClass("selected");
		addAnimation($(obj), 3);

		hasAction = true;
		//回调服务器顶方法
		if (window.news) {
			window.news.dingthreadOp(2);
		}
	}

	function dingComment(obj, id) {
		
		$(obj).unbind("click");
		
		var count = parseInt($(obj).text());
		$(obj).text(count + 1);
		$(obj).addClass("selected");
		//addAnimation($(obj), 2);

		obj.onclick = null;

		//回调服务器顶方法	
		if (window.news) {
			window.news.dingOp(id);
		}
		
	}

	//回复评论页
	function toComment(id, title,name) {

		if (window.news) {
			window.news.initPopupWindow_Comment(id, title,name);
		}
	}

	function hotisShow(isshow) {
		if (isshow) {
			$("#hot_container").show();
		} else {
			$("#hot_container").hide();
		}
	}

	//添加一条数据到最新评论
	function addCommentToNew(username, content,usericon) {

		var strcontent = "<section>";
		strcontent += "<div class=\"userinfo-panel\">";
		strcontent += "<img onerror=\"this.src='Content/Images/avatar.png'\" src='"
			+ usericon + "' />";
		strcontent += "<div class=\"userinfo-name\">" + username
		+ "</div>";
		strcontent += "<date class=\"userinfo-date\">刚刚</date></div>";
		strcontent += "<article class=\"article-panel\">" + content	+ "</article>";
		strcontent += "<div class=\"userinfo-action\">";
		strcontent += "<a onclick='javascript:void(0)'>" + "回复Ta</a>";
		strcontent += "<a class=\"ding\" >0</a>";
		strcontent += "</div></div>";
		strcontent += "</section>";

		$("#bodycontent").after(strcontent);

		location.hash = "new_comment";

	}
	//添加一条数据到最新评论
	function addCommentToComment(cid,username, content,usericon,name) {
		//alert(name);
		var strcontent = "";
		strcontent += "<div class=\"reply-panel\">";
		strcontent += "<img onerror=\"this.src='Content/Images/avatar.png'\" src=\""+usericon+"\" class=\"avatar\"/>";
		strcontent += "<article><author>"+username+"</author>对<author>"+name+"</author>说：" +content+ "</article>";
		strcontent += "<div class=\"reply-control-panel\">";
		strcontent += "<date>刚刚</date>";
		strcontent += "<a href=\"javascript:void(0)\">回复Ta</a>";
		strcontent += "<br style=\"clear:both; line-height:0\"/>";
		strcontent += "</div>";
		strcontent += "</div>";
		

		if($("#replyreply"+cid).find(".reply-list").length>0){
			$("#replyreply"+cid).find(".reply-list").eq(0).append(strcontent);
		}
		else{
			strcontent = "<div class=\"reply-list\">"+strcontent+"</div>";
			$("#replyreply"+cid).append(strcontent);
		}
		

		location.hash = "new_comment";

	}