var userId = '';
//图片加载状态，默认加载
var loadImgState = 1;
var hasAction = false;
var colors=['#9CACEE','#A9ADA8','#EA9ADD','#8B8CBB','#8ABB8E','#888CCC','#89C8A9','#879EEC','#998CB9','#BDBE9E','#BA9BAD','#ED989B','#C9CEAE'];
//加载所有内容
    function showContent(newsContent){
        var myTitle = document.getElementById('title');
        myTitle.innerText = newsContent.title;
        document.getElementById('ptime').innerHTML =formatDate(newsContent.showTime)+getFromName(newsContent.fromName);
        var myBody = document.getElementById('content');
        myBody.innerHTML = htmlDecode(newsContent.originalContent);
        var imgsrc = [];
        var imgs = myBody.getElementsByTagName('img');
        for(var i = 0;i<imgs.length;i++){
            imgsrc.push(imgs[i].getAttribute('data-src'));
            imgs[i].index = i;
            if(loadImgState==1){
                imgs[i].onclick=function(){
                    window.news.showBigImg(this.index);
                }
            }else{
                imgs[i].onclick=function(){
                    loadImage(this,this.index);
                }
            }
        }
        window.news.allImg(imgsrc);
        var vote =0;
         if (window.news) {
		    vote = window.news.getVote();
		 }
		var voteStr='';
		if(vote==0){
		    voteStr='<a href="javascript:void(0)" onclick="dingthread(this,\''+newsContent.dingCount+'\')" class="up"><i></i>喜欢 '
		    + newsContent.dingCount+'</a><a href="javascript:void(0)" class="down" onclick="burythread(this)"><i></i>不喜欢</a>';
		}else if(vote==1){
		    voteStr='<a href="javascript:void(0)" class="up up-selected"><i></i>喜欢 '
		    +newsContent.dingCount+'</a><a href="javascript:void(0)" class="down" ><i></i>不喜欢</a>';
		}else{
		    voteStr='<a href="javascript:void(0)" class="up"><i></i>喜欢 '
		    +newsContent.dingCount+'</a><a href="javascript:void(0)" class="down down-selected" onclick="burythread(this)"><i></i>不喜欢</a>';
		}
		var myVotes = document.getElementById('article_control');
		myVotes.innerHTML=voteStr;
		 if(loadImgState==1){
		    addLoadImages("content");
//		    console.log('addLoadImages，content')
		 }

    }
    function showRelevant(relList){
//        var relList = data.relevant_list;
        var loadimg = '';
        if(loadImgState==1){
            loadimg ='./img/imageholder.jpg'
        }else{
            loadimg ='./img/imagenone.png'
        }
        for(var i = 0;i<relList.length;i++){
            if(relList[i].type==2){
                var items = relList[i].item_List;
                showRelation(items,loadimg);
                if(loadImgState==1){
                    addLoadImages("relation");
//                    console.log('addLoadImages，relation')
                }
            }else if (relList[i].type==1){
                var items = relList[i].item_List;
                showCitiao(items);
            }else if(relList[i].type==1001){
                 var items = relList[i].item_List;
                showEndAD(items,loadimg);
                if(loadImgState==1){
                    addLoadImages("footAD");
//                     console.log('addLoadImages，footAD')
                }
            }
        }
        loadADExposureUtil();
//        showHotComt(data.hot_cmt_list);
//        if(loadImgState==1){
//            loadImgLoader();
//        }

    }
//  显示新闻下面的一条广告
    function showEndAD(items,loadimg){
     if(items==null||items==undefined||items.length<=0){
        return;
     }
       var str = createNormItem(items[0],0,null);
       document.getElementById('footAD').innerHTML=str;
    }
    function showCitiao(items){
        if(items==null&&items==undefined&&items.length<=0){
            return;
        }
        var mCitiao = document.getElementById('citiao');
        var citiaoStr = '';
        for(var i = 0;i<items.length;i++){
            citiaoStr+='<div onclick=\'javascript:toSearch("'+items[i].name+'")\' style="background-color:'
            +colors[Math.floor(Math.random()*colors.length)]+'">'+items[i].name+'</div>';
        }
        mCitiao.innerHTML=citiaoStr;
    }
    //时间格式化 2019-04-12 17:19:59
    function formatDate(time){
        var date = new Date(time*1000);
        var yy = date.getFullYear();
        var MM = (date.getMonth() + 1)>=10?(date.getMonth() + 1):'0'+(date.getMonth() + 1);
        var dd = date.getDate()>=10?date.getDate():'0'+date.getDate();
        var hh = date.getHours()>=10?date.getHours():'0'+date.getHours();
        var mm = date.getMinutes()>=10?date.getMinutes():'0'+date.getMinutes();
        var ss = date.getSeconds()>=10?date.getSeconds():'0'+date.getSeconds();
        return yy+'-'+MM+'-'+dd+'  '+hh+':'+mm+':'+ss;
    }
    //文章来自
    function getFromName(name){
        if(name==null||name==undefined||name.length==0){
            return '';
        }
        var str = name.trim();

        if(str.length==0){
            return '';
        }
        return '&nbsp;&nbsp;&nbsp;&nbsp;来源：'+str;
    }
    //文章html反格式化
    function htmlDecode(text){
        var s = "";
        if(text==undefined||text==null||text.length == 0) return "";
        s = text.replace(/&amp;/g,"&");
        s = s.replace(/&lt;/g,"<");
        s = s.replace(/&gt;/g,">");
        s = s.replace(/&nbsp;/g," ");
        s = s.replace(/&#39;/g,"\'");
        s = s.replace(/&quot;/g,"\"");
        var temp = document.createElement("div");
//        temp.innerHTML = text;
//        var output = temp.innerText || temp.textContent;
        temp.innerHTML = s;
        var imgs = temp.getElementsByTagName('img');

        var src = '';
        if(loadImgState==1){
            src ='./img/imageholder.jpg'
        }else{
            src ='./big_reload_img.png'
        }
        for(var i = 0;i<imgs.length;i++){
            imgs[i].setAttribute('data-src',imgs[i].src);
            imgs[i].src = src;
        }

        s = temp.innerHTML;
        temp = null;
//         console.log(s);
        return s;
    }
    function loadADExposureUtil(){
         var script=document.createElement('script');
         script.type="text/javascript";
         script.src="./ad-exposure-util.js";
         document.body.appendChild(script);
//         console.log(script.src);
    }
    //加载缓加载图片的js
    function loadImgLoader(){
         var script=document.createElement('script');
         script.type="text/javascript";
         script.src="./imageloader.js";
         document.body.appendChild(script);
//         console.log(script.src);
    }
    //无图模式下点击图片加载图片
    function loadImage(img,index){
        img.src = img.getAttribute('data-src');
        img.onclick=function(){
            window.news.showBigImg(index);
        }
    }
//   推荐的新闻
    function showRelation(items,loadimg){
        var shtml = '';
        if (items.length>0){
            shtml+='<h2 class="layout_title"><i></i>热点新闻</h2>';
        var index =0;
        for(var i = 0;i<items.length;i++){
           var item = items[i];

            if(item.type==1002){
                var images = JSON.parse(item.img);
                shtml +='<section class="news-item news-item-s3 ad_box news-ad-item" data-ad-type="'+item.type+'" data-ad-id="'+item.id+'" id="ad-id-'+item.type+'-'+item.id+'-'+index+'" >';
                shtml +='<a class= "news-link" href="javascript:void(0)" onclick="itemClick(' + item.type +','+item.id+','+index+')">'
                            +'<div class="info">'
                            +'<h3>'+item.name+'</h3>';
                shtml +='<div class="img-wrap clearfix">'
                            +'<img src="'+ images[0]+ '" onerror="this.src=\'img/imageholder.jpg\'" />'
                            +'<div class="ad_ico_hint"></div></div>'
//                shtml +='<p class="tags" style="position:relative;float:left;left:0px;"><img src="'
//                +item.content+'" style="max-height:14px"/></p>'
//                shtml+='</div>'
//                shtml+='<br style="clear: both; line-height: 0"/>';
//                shtml+='<div>'
                shtml+='<span class="info-p-msg" style="margin-left: 15px;margin-bottom:10px">'
                +'<img src="'+item.content+'" style="height:16px;left:4px"/>'
                +'</span>'
                +'<span class="tags" style="position:relative;float:right;right:-4px;" onclick="removeItem(' + item.type +','+item.id+','+index+')"><span>'
                 +'<img src="res/acm.png" style="height:16px;"/></span>';
                shtml +='</div></a></section>';
            }else{
                if(item.type!=1003){
                    index++;
                    shtml+=createNormItem(item,index,loadimg);
                }else{
                    shtml+=createNormItem(item,0,null);
                }
            }
        }
        shtml+='<div class="moreNews" onclick="lookMore()">查看更多新闻</div>';
        }
        document.getElementById('relation').innerHTML= shtml;
    }
//    创建新闻item，index：新闻的位置
    function createNormItem(item,index,loadimg){
        var images = JSON.parse(item.img);
        var shtml = '';
        if(images.length>=3){
            if(item.type==2){
                shtml +='<section class="news-item news-img3">';
            }else{
                shtml+='<section class="news-item news-img3 news-ad-item" data-ad-type="'+item.type+'" data-ad-id="'+item.id+'" id="ad-id-'+item.type+'-'+item.id+'-'+index+'">';
            }

            shtml +='<a href="javascript:void(0)" onclick="itemClick(' + item.type +','+item.id+','+index+')" class= "news-link">'
                    +'<div class="info">'
                    +'<h3 class="title dotdot line3">'+item.name+'</h3>'
                    +'</div>'
                    +'<div class="img">';
            if(loadimg==null){
                for(var j=0;j<3;j++){
                    shtml+='<div class="img-wrap img-bg">'
                        +'<img src="'+ images[j] + '" onerror="this.src=\'img/imageholder.jpg\'"/>'
                        +'</div>';
                }
            }else{
                for(var j=0;j<3;j++){
                    shtml+='<div class="img-wrap img-bg">'
                        +'<img src="'+ loadimg+ '" onerror="this.src=\'img/imageholder.jpg\'" data-src="'+images[j]+'"/>'
                        +'</div>';

                }
            }
            shtml+='</div>'
            shtml+='<br style="clear: both; line-height: 0"/>';
            shtml+='<div>'
            if(item.type!=2){
                shtml+='<span class="info-p-msg">'
                +'<img src="'+item.content+'" style="height:16px;"/>'
                +'</span>'
                +'<span class="tags" style="position:relative;float:right;right:0px;" onclick="removeItem(' + item.type +','+item.id+','+index+')"><span>'
                 +'<img src="res/acm.png" style="height:16px;"/></span>';
            }else{
                shtml +='<p class="info-p-msg"><span class="tuijian">推荐</span></p>';
            }

            shtml +='</div></a></section>';
        }else if(images.length>0){
            if(item.type==2){
                shtml +='<section class="news-item news-img1">';
            }else{
                shtml +='<section class="news-item news-img1 news-ad-item" data-ad-type="'+item.type+'" data-ad-id="'+item.id+'" id="ad-id-'+item.type+'-'+item.id+'-'+index+'">';
            }
            shtml +='<a class="news-link" href="javascript:void(0)" onclick="itemClick(' + item.type +','+item.id+','+index+')">';
            shtml +='<div class="info">';
            shtml +='<h3 class="title dotdot line3">'+item.name+'</h3>';
            if(item.type==2){
                shtml+='<p class="info-p-msg"><span class="tuijian">推荐</span></p>';
            }else{
                shtml+='<span class="info-p-msg">'
                +'<img src="'+item.content+'" style="height:16px;"/>'
                +'</span>'
                +'<span class="box-mr5" style="max-height:14px;height:14px;"  onclick="removeItem(' + item.type +','+item.id+','+index+')"><span>'
                 +'<img src="res/acm.png" style="height:16px;"/></span>';
            }
            shtml+='</div>';
            shtml +='<div class="img img-bg">';
            if(loadimg==null){
                shtml +='<img onerror="this.src=\'img/imageholder.jpg\'" src="'+images[0]+'"/>';
            }else{
                shtml +='<img onerror="this.src=\'img/imageholder.jpg\'" src="'+loadimg+'" data-src="'+images[0]+'"/>';
            }
            shtml +='</div></a></section>';
        }else{
             if(item.type==2){
                shtml +='<section class="news-item news-img3">';
             }else{
                shtml +='<section class="news-item news-img3 news-ad-item" data-ad-type="'+item.type+'" data-ad-id="'+item.id+'" id="ad-id-'+item.type+'-'+item.id+'-'+index+'">';
             }
             shtml+='<a href="javascript:void(0)" onclick="itemClick(' + item.type +','+item.id+','+index+')" class= "news-link">'
                    +'<div class="info">'
                    +'<h3 class="title dotdot line3">'+item.name+'</h3>';
            if(item.type==2){
                shtml+='<p class="info-p-msg"><span class="tuijian">推荐</span></p>';
            }else{
             shtml+='<span class="info-p-msg">'
                +'<img src="'+item.content+'" style="height:16px;"/>'
                +'</span>'
                +'<span class="tags" style="position:relative;float:right;right:0px;" onclick="removeItem(' + item.type +','+item.id+','+index+')"><span>'
                 +'<img src="res/acm.png" style="height:16px;"/></span>';
            }
            shtml +='</div></a></section>';
        }
        return shtml;
    }
    function removeItem(type,id,index){

    var ad = null;
        if(type!=2){
            ad = document.getElementById('ad-id-'+type+'-'+id+'-'+index);
        }
        if(ad){
            ad.style.display="none";
        }
       if(window.event){          //if(window.event)即当触发事件时执行函数，单个对象时候可以不判断，但当对象多的时候可能会出bug
      			//阻止事件传播，事件从点击的元素出发，向外（window）传播
                  window.event.cancelBubble = true;
       }

    }
    function stopBubbling(e) {
            e = window.event || e;
            if (e.stopPropagation) {
                e.stopPropagation();      //阻止事件 冒泡传播
            } else {
                e.cancelBubble = true;   //ie兼容
            }
        }
    //最热评论
    function showHotComt(cmtList){
        var cmtElement = document.getElementById('hot_comment');
        if(cmtList==null||cmtList==undefined||cmtList.length<=0){
            cmtElement.style.visibility="hidden";
            return;
        }
        cmtElement.style.visibility="visible";
        var mHtml = '<h2 class="layout_title"> <i></i> 最热评论</h2><ul class="comment-list">';
        for(var i=0;i<cmtList.length;i++){
            if(i==cmtList.length-1){
                mHtml+=buildComment(cmtList[i],1);
            }else{
                 mHtml+=buildComment(cmtList[i],0);
            }
        }
        mHtml+='</ul>';
        cmtElement.innerHTML=mHtml;
    }
//    创建评论item
    function buildComment(reply,isLast){
        var str = '';
        if(isLast==1){
            str+='<li class="comment-item clearfix" style="border-bottom:0px;">';
        }else{
            str+='<li class="comment-item clearfix">';
        }
        str+='<div class="avatar fl" onclick="toUserCenter('+reply.id+')">';
        str+='<img onerror="this.src=\'res/avatar.png\'" src="'+reply.publisherIcon+'" /></div>';
        str+='<div class="info fr"><div class="fr" style="font-size:11px; position:relative; z-index:100000;">';
        if(reply.mark!=0){
            str+='<a class="J-praise praise" href="javascript:;">';
            str+='<span class="ding_btn ding_btn2">'+reply.dingCount+'</span></a>';
        }else{
            str+='<a class="J-praise praise" href="javascript:void(0)" onclick="dingComment(this,'+reply.id+')">';
            str+='<span class="ding_btn">'+reply.dingCount+'</span></a>';
        }
        str+='<a href="javascript:void(0)" onclick=\'toComment('
        +reply.id+','+JSON.stringify(reply)+')\'><span class="review">'+reply.commentCount+'</span></a>';
        str+='<a class="J-praise praise" href="javascript:commentshares()">';
        str+='<span class="share_btn">&nbsp;</span></a></div>';
        str+='<p class="line1"><a class="name" href="javascript:;">'+reply.publisherName+'</a></p>';
        str+='<p class="line2">'+formatTime(reply.createTime)+'</p>';
        if(reply.parentComments!=null&&reply.parentComments!=undefined&&reply.parentComments.length>0){
            str+=buildReplyComments(reply,reply.parentComments);
        }
        str+='<p class="line3 comment-content" onclick=\'toComment('
        +reply.id+','+JSON.stringify(reply)+')\'>'+reply.content+'</p>';

        if(userId==reply.publisherId){
            str+='<p style="color:#246bc6;font-size: 14px;" onclick=\'deleteComment(this,"'+reply.id+'")\'>删除</p>';
        }
        str+='</div></li>';
        return str;
    }
//  创建回复
    function buildReplyComments(reply,comments){
        var commentStr='<div class="tlinfo">';
        if(comments.length>1){
            commentStr+='<div class="tlinfo">';
            if(comments.length>2){
                commentStr+='<div class="tlinfo">';
                    if(reply.hasMore){
                        commentStr='<div class="hidetl tlinfo" id="showmore_'+reply.id+'" name="showmore_'+reply.id+'">'+commentStr;

                        commentStr+=buildReplyComment(comments[2]);
                        commentStr+='</div>';
                        commentStr+='<p class="showBtn" id="hide_'+reply.id+'" onclick="getMoreReply(this,'+reply.id+')">展开隐藏楼层</p>';
                        commentStr+='</div>';
                    }else{
                        commentStr+=buildReplyComment(comments[2]);
                        commentStr+='</div>';
                    }
            }
            commentStr+=buildReplyComment(comments[1]);
            commentStr+='</div>';
        }
        commentStr+=buildReplyComment(comments[0]);
        commentStr+='</div>';
        return commentStr;
    }
    function buildReplyComment(reply){
        var str='<div class="fr" style="font-size:11px; position:relative; z-index:100000;">';
         if(reply.mark!=0){
            str+='<a class="J-praise praise" href="javascript:;">';
            str+='<span class="ding_btn ding_btn2">'+reply.dingCount+'</span></a>';
        }else{
            str+='<a class="J-praise praise" href="javascript:void(0)" onclick="dingComment(this,'+reply.id+')">';
            str+='<span class="ding_btn">'+reply.dingCount+'</span></a>';
        }
        str+='<a href="javascript:void(0)" onclick=\'toComment('
        +reply.id+','+JSON.stringify(reply)+')\'><span class="review">'+reply.commentCount+'</span></a>';
        str+='<a class="J-praise praise" href="javascript:commentshares()">';
        str+='<span class="share_btn">&nbsp;</span></a></div>';
        str+='<p class="line1"><span class="floor"></span><a class="name" href="javascript:;">'+reply.publisherName+'</a></p>';
        str+='<p class="line2">'+formatTime(reply.createTime)+'</p>';
        str+='<p class="line3 comment-content" onclick=\'toComment('
        +reply.id+','+JSON.stringify(reply)+')\'>'+reply.content+'</p>';
        return str;
    }
    function formatTime(time){
         var date = new Date(time*1000);
        var MM = (date.getMonth() + 1)>=10?(date.getMonth() + 1):'0'+(date.getMonth() + 1);
        var dd = date.getDate()>=10?date.getDate():'0'+date.getDate();
        var hh = date.getHours()>=10?date.getHours():'0'+date.getHours();
        var mm = date.getMinutes()>=10?date.getMinutes():'0'+date.getMinutes();
//        var ss = date.getSeconds()>10?date.getSeconds():'0'+date.getSeconds();
        return MM+'-'+dd+'  '+hh+':'+mm;
    }
    var flag=0;
    var commentIndex = 1;
    window.onscroll=function(){

        var wScrollY = window.scrollY;
        var wInnerH = window.innerHeight;
        var bScrollH = document.body.scrollHeight;
        if (wScrollY + wInnerH+120 >= bScrollH&&flag==0) {
            flag=1;
            if (window.news) {
		        window.news.loadComment(commentIndex);
		         var loading = document.getElementById('moreButton');
		         loading.innerText='加载中...';
                 loading.disabled=true;
	        }
	    }
    }
     window.onload = function() {

         if (window.news) {
//            window.news.showContent();
            userId = window.news.getUserId();
            setnight(window.news.getNight());
            window.news.loadComment(commentIndex);
            loadImgState = window.news.getLoadImgState();
            initContentTextSize();

         }
    }
    function showComment(cmtList){

        var loading = document.getElementById('moreButton');
        if(cmtList==null&&cmtList==undefined){
            loading.innerText='加载失败，点击重试';
            flag=0
            loading.onclick=function(){
                window.news.loadComment(commentIndex);
                loading.innerText='加载中...';
                 loading.style.display="block";
            }
            loading.style.display="none";
            return;
        }
        if(cmtList.length==0){
             var noMore = document.getElementById('moreButton');
             if(commentIndex==1){
                noMore.innerText='还没有评论，快来抢沙发吧！';
             }else{
                noMore.innerText='已经全部加载完毕';
             }
             loading.style.display="block";
             return;
        }
        var cmtElement = document.getElementById('new_comment');
        var mHtml = cmtElement.innerHTML;
        for(var i=0;i<cmtList.length;i++){
            if(i==cmtList.length-1){
                mHtml+=buildComment(cmtList[i],1);
            }else{
                 mHtml+=buildComment(cmtList[i],0);
            }
        }
        cmtElement.innerHTML=mHtml;
        commentIndex+=1;
        flag=0;
    }
    function itemClick(type,id,index){
         if (window.news) {
             window.news.itemClick(type,id,index);
         }
    }
    function toSearch(name){
        if (window.news) {
            window.news.toSearch(name,1);
        }
    }
    function newshotword(mKeyWord) {
    	if (window.news) {
    		window.news.toSearch(mKeyWord, 2);
    	}
    }
    function lookMore(){
    	if (window.news) {
    		window.news.lookMore();
    	}
    }
    function shares(type){
    	if (window.news) {
    		window.news.shares(type);
    	}
    }
    //分享
    function commentshares() {
    	if (window.news) {
    		window.news.commentShare();
    	}
    }
    function toUserCenter(uid){

    }
    function dingComment(obj, id){
        var ding = obj.childNodes[0];
        var count = parseInt(ding.innerText);
    	ding.innerText=count + 1;
    	ding.classList.add("ding_btn2");
    	// addAnimation($(obj), 2);
    	obj.onclick = null;
    	// 回调服务器顶方法
    	if (window.news) {
    		window.news.dingComment(id);
    	}
    }
    // 回复评论页
    function toComment(id, reply) {
    	if (window.news) {
    		window.news.initPopupWindow_Comment(id, JSON.stringify(reply));
    	}
    }
    function addComment(comment){
        var str = buildComment(comment,0)
        var cmtElement = document.getElementById('new_comment');
        var mHtml = cmtElement.innerHTML;
        mHtml = str+mHtml;
        cmtElement.innerHTML= mHtml;
    }
    function dingthread(obj, num) {
    	if (hasAction)
    		return;

    	var count = parseInt(num);
    	obj.innerHTML = "<i></i>上头条 " + (count + 1);
    	//$(obj).text("上头条 " + (count + 1));
    	obj.classList.add("up-selected");
    	// addAnimation($(obj), 3);

    	hasAction = true;

    	// 回调服务器顶方法
    	if (window.news) {
    		window.news.dingthreadOp(1);
    	}
    }

    function burythread(obj) {
    	if (hasAction)
    		return;

    	// var count = parseInt($(obj).text());
    	// $(obj).text(count + 1);
    	obj.classList.add("down-selected");
    	// addAnimation($(obj), 3);

    	hasAction = true;
    	// 回调服务器顶方法
    	if (window.news) {
    		window.news.dingthreadOp(2);
    	}
    }
    // 跳跃到锚点
    function maodian(t) {
    	if (t == "comment-title-new") {
    		hot_comment = document.getElementById('hot_comment');
    		if (hot_comment.childElementCount >= 1) {
    			window.location.hash = "#comment-title-hot";
    		} else {
    			location.hash = '#'+t;
    		}
    	} else {
    		location.hash = '#'+t;
    	}
    }
    //获取更多评论
    function getMoreReply(obj,replyid){
        if (window.news) {
            obj.innerHTML='加载中';
            obj.onclick = function(){};
    		window.news.getReplyList(replyid);
    	}
    }
    //删除评论
    function deleteComment(obj,replyid){
        var id = parseInt(replyid)
        if (window.news) {
            if (id > 0) {
                window.news.deleteComment(id);
            }
            var o = obj.parentNode;
            o.parentNode.remove(o);
        }
    }
    function updateReplyList(replyid,replylist){
        if(replylist==null||replylist==undefined||replylist.length<=0){
            var loading = document.getElementById('hide_'+replyid);
            loading.innerHTML= "展开隐藏楼层";
            loading.onclick = function(){getMoreReply(loading,replyid);};
        }else{
            var reply = document.getElementById('showmore_'+replyid);
            var replystr ='';
            for(var i = replylist.length-1;i>0;i--){
                replystr = '<div class="tlinfo">'+replystr+ buildReplyComment(replylist[i])+'</div>'
            }
            replystr +=buildReplyComment(replylist[0]);
            reply.innerHTML = replystr;
        }
    }
    function initContentTextSize(){
         if (window.news) {
           var textSize = window.news.getTextSize();
           setTextSize(textSize);
         }
    }
    //正文字体大小
    function setTextSize(textSize) {
        var myBody =document.getElementById('content');
        switch (textSize) {
        case 0:
            myBody.style.fontSize = "26px";
            myBody.style.lineHeight = "160%";
            break;
        case 1:
            myBody.style.fontSize = "22px";
            myBody.style.lineHeight = "160%";
            break;
        case 2:
            myBody.style.fontSize = "18px";
            // myBody.style.lineHeight = "150%";
            break;
        case 3:
            myBody.style.fontSize = "16px";
            myBody.style.lineHeight = "150%";
            break;
        }
    }
    function setnight(isnight){
        var oLink = document.getElementById('mcss');
        if(isnight){
            oLink.href = 'res/newsreplystyle_night.css';
        }else{
            oLink.href = 'res/newsreplystyle.css';
        }
    }


